import React, { FC } from 'react';
import { makeStyles } from '@material-ui/core/styles';
import { Tabs, Tab } from '@material-ui/core';
import LockIcon from '@material-ui/icons/Lock';

const useStyles = makeStyles(() => ({
  tabs: {
    color: 'white',
    paddingLeft: '25px',
    paddingRight: '25px',
    paddingTop: '8px',
    paddingBottom: '35px',
  },
  tabPan: {
    paddingLeft: '56px',
    paddingRight: '56px',
  },
  tabIcon: {
    paddingRight: '10px',
    fontSize: '38px',
  },
  rightAlign: {
    marginLeft: 'auto',
    backgroundColor: '#FFFFFF',
  },
}));

export const NavBarLogin: FC = () => {
  const classes = useStyles();

  const [value, setValue] = React.useState(0);

  const handleChange = (
    event: React.ChangeEvent<unknown>,
    newValue: number,
  ): void => {
    setValue(newValue);
  };

  return (
    <Tabs
      textColor="primary"
      onChange={handleChange}
      value={value}
      className={classes.tabs}
      TabIndicatorProps={{ style: { display: 'none' } }}
    >
      <Tab label="" className={classes.tabPan} />
      <Tab
        label="Login"
        icon={<LockIcon className={classes.tabIcon} />}
        className={`${classes.tabPan} ${classes.rightAlign}`}
      />
    </Tabs>
  );
};
