import React, { FC } from 'react';
import { makeStyles } from '@material-ui/core/styles';
import {
  Paper,
  Table,
  TableBody,
  TableCell,
  TableContainer,
  TableHead,
  TableRow,
} from '@material-ui/core';

const useStyles = makeStyles(() => ({
  noShadow: {
    border: 'none',
    boxShadow: 'none',
    backgroundColor: 'transparent',
  },
}));

function createData(
  name: string,
  value: string,
): { name: string; value: string } {
  return { name, value };
}

const rows = [
  createData('From:', 'Via Di Quel Bozen, 45, 39037'),
  createData('Date:', '29 / 07 / 2021'),
  createData('Time:', '12:15'),
  createData('To:', 'Via del Krankenhaus, 7, 39037'),
];

export const Reservation: FC = () => {
  const classes = useStyles();

  return (
    <TableContainer component={Paper}>
      <Table aria-label="simple table">
        <TableHead>
          <TableRow>
            <TableCell>DriveToHospital </TableCell>
          </TableRow>
        </TableHead>

        <TableBody>
          {rows.map((row) => (
            <TableRow key={row.name}>
              <TableCell component="th" scope="row">
                {row.name}
              </TableCell>
              <TableCell align="right">{row.value}</TableCell>
            </TableRow>
          ))}
        </TableBody>
      </Table>
    </TableContainer>
  );
};
