import axios from 'axios';

/**
 *
 * Ask and set csrf cookie to server.
 * @param setIsCookieFetched function to set the state isCookieFetched.
 * @returns null
 */
export const fetchCookie = async (
  setIsCookieFetched: React.Dispatch<React.SetStateAction<string>>,
): Promise<unknown> => {
  const response = await axios('/api/web/csrf');
  setIsCookieFetched(response.data.token);
  return null;
};
