import React, { FC } from 'react';
import Button from '@material-ui/core/Button';
import { Link } from 'react-router-dom';
import { NonAuthRoutes } from 'api/routes';

export const LandingPage: FC = () => (
  <>
    <Button variant="contained">
      <Link to={`/auth${NonAuthRoutes.signIn}`}>Log in</Link>
    </Button>
    <Button variant="contained">
      <Link to={`/auth${NonAuthRoutes.signUp}`}>Sign up</Link>
    </Button>
    <section>
      <h2>What is MoveAid?</h2>

      <p>
        MoveAid is a project born in order to satisfy a specific problem. There
        are many senior citizens who are not able to drive and move from a place
        to another easily, because of this they sometimes need to take private
        Taxis or public means of transport which could be expensive and not
        simple. MoveAid wants to be the solution to this problem offering free
        drives (carried out by voulunteers) for those who need them to reach
        medical visit, to go to the supermarket or to satisfy any other need.
      </p>
    </section>

    <section>
      <h2>How will MoveAid work?</h2>

      <p>
        MoveAid will be the platform that will allow people to ask for a drive
        (either by phone or online) and organizations of voulenteers to organise
        and accept drives.
      </p>
    </section>

    <p>
      <br />
    </p>

    <footer>
      <p>
        Authors: Alberto Defendi, Andrea Esposito, Marco Marinello, Francesco
        Mazzini
      </p>
      <p>&copy 2021 - All right reserved</p>
    </footer>
  </>
);
